<?php
// Own namespace
namespace Org\Mxchange\CoreFramework\Traits\Index;

// Import framework stuff
use Org\Mxchange\CoreFramework\Index\Indexable;

/**
 * A trait for indexes
 *
 * @author		Roland Haeder <webmaster@ship-simu.org>
 * @version		0.0.0
 * @copyright	Copyright (c) 2007, 2008 Roland Haeder, 2009 - 2022 Core Developer Team
 * @license		GNU GPL 3.0 or any newer version
 * @link		http://www.ship-simu.org
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
trait IndexableTrait {
	/**
	 * An instance of an Indexable class
	 */
	private $indexInstance = NULL;

	/**
	 * Setter for Indexable instance
	 *
	 * @param	$indexInstance	An instance of an Indexable class
	 * @return	void
	 */
	protected final function setIndexInstance (Indexable $indexInstance) {
		$this->indexInstance = $indexInstance;
	}

	/**
	 * Getter for Indexable instance
	 *
	 * @return	$indexInstance	An instance of an Indexable class
	 */
	public final function getIndexInstance () {
		return $this->indexInstance;
	}

}
